/* This file is part of Cloudy and is copyright (C) 1978-2005 by Gary J. Ferland.
 * For conditions of distribution and use, see copyright notice in license.txt */
/*IterStart, set and save values of many variables at start of iteration */
void IterStart(void);
/*IterRestart, reset values of many variables at start of iteration */
void IterRestart(void);
/* close out this iteration */
void IterEnd(void);

EXTERN struct t_IterCnt {

	/* these are the variables that control how many iterations are
	 * to be done, and number of the current iteration
	 * itermx is number of iterations to perform, set with iterate command
	 * upper limit is parameter variable ItrDim */
	long int itermx;

	/*number of zones to print on each iteration*/
	long int IterPrnt[ITRDIM];

	/* this is false on any but the last iteration
	 * set true in startr if iter > itermx */
	int lgLastIt;

	/* flag saying that another iteration is needed */
	int lgIterAgain;

	}	iterations;
